
Redmine - Defect #9713

delete a subtask from a subtask

2011-12-02 08:49 - Thomas Bruno

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.1

Description

Hello

we have the follow problem:

we create a subtask and from this subtask an other subtaks and now we will delete the last subtask.

Here we get this error:

Processing IssuesController#destroy (for 192.168.1.74 at 2011-12-02 07:26:20) [POST]

Parameters: {"action"=>"destroy", "authenticity_token"=>"gb8y8yR/PJzK1B0dKR8cjGBODdhp41LhswHZ50rKFpQ=", "id"=>"498",

"controller"=>"issues"}

ArgumentError (comparison of Date with nil failed):

app/models/issue.rb:808:in `recalculate_attributes_for'

app/models/issue.rb:772:in `update_parent_attributes'

app/controllers/issues_controller.rb:246:in `destroy'

app/controllers/issues_controller.rb:244:in `each'

app/controllers/issues_controller.rb:244:in `destroy'

config/initializers/mongrel_cluster_with_rails_211_fix.rb:62:in `dispatch_cgi'

Rendering /opt/bitnami/apps/redmine/public/500.html (500 Internal Server Error)

Thx

Thomas

About your application's environment

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.6.2

Rack version              1.1

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Application root          /opt/bitnami/apps/redmine

Environment               production

Database adapter          mysql

Database schema version   20110511000000

About your Redmine plugins

Mylyn Connector plugin                  2.7.5.stable

Testlink Link plugin                    0.7.1

Redmine Theme Changer plugin            0.0.3

Contacts plugin                         2.2-light

Advanced roadmap & milestones plugin    0.5.1

Redmine Code Review plugin              0.4.4

Redmine Work Time plugin                0.1.4

Meetings plugin                         0.0.1

Redmine Commit Relation Editor plugin   0.0.2

Redmine Hudson plugin                   1.0.7

DMSF                                    1.2.2

Redmine Better Gantt Chart plugin       0.5.3
Issue Importer                          0.9

Redmine Close Button plugin             0.0.6

Redmine Wiki Extensions plugin          0.3.6

History

#1 - 2011-12-05 02:31 - Mischa The Evil

This looks like it's an plugin issue. Can you see if you can reproduce it without any plugins running? If not you should narrow it down to one plugin (or

worse: interference issues between 1+ plugins ánd core) by enabling them one by one and report the issue to the plugin author afterwards.

#2 - 2016-08-20 06:20 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

No feedback from the author. Closing.
